List User Connected Accounts
curl --request GET \
--url https://{primary_domain}/api/public/v2.0/users/{user_id}/connected_accounts \
--header 'X-Access-Key-Id: <api-key>' \
--header 'X-Access-Key-Secret: <api-key>'import requests
url = "https://{primary_domain}/api/public/v2.0/users/{user_id}/connected_accounts"
headers = {
"X-Access-Key-Id": "<api-key>",
"X-Access-Key-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Key-Id': '<api-key>', 'X-Access-Key-Secret': '<api-key>'}
};
fetch('https://{primary_domain}/api/public/v2.0/users/{user_id}/connected_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": [
{
"id": 123,
"owner_id": 123,
"provider_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"provider_uid": "<string>",
"provider_email": "jsmith@example.com",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"current_page": 123,
"first_page_url": "<string>",
"from": 123,
"last_page": 123,
"last_page_url": "<string>",
"next_page_url": "<string>",
"path": "<string>",
"per_page": 123,
"prev_page_url": "<string>",
"to": 123,
"total": 123
}{
"message": "<string>",
"errors": {
"attribute": [
"The {attribute} field is required."
]
}
}"Invalid or missing access key.""Too many requests.""An unexpected error occurred."Users
List User Connected Accounts
Required permissions: users.read.*, connected_accounts.read.*
GET
/
users
/
{user_id}
/
connected_accounts
List User Connected Accounts
Path Parameters
Response
A list of Connected Account resource objects.
Show child attributes
Show child attributes
Current page number.
URL to fetch the first page.
Last page number.
URL to fetch the last page.
URL to fetch the next page.
Current URL.
Number of items per page.
URL to fetch the next page.
Total number of items.
⌘I